GearmanClient::addOptions
GearmanClient::addServers
GearmanClient
PHP Manual

# GearmanClient::addServer

Add a job server to the client

### Description

public bool GearmanClient::addServer ([ string `$host` = 127.0.0.1 [, int `$port` = 4730 ]] )

Adds a job server to a list of servers that can be used to run a task. No socket I/O happens here; the server is simply added to the list.

### Parameters

`host`

  The job server host name.

`port`

  The job server port.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Adding two job servers

`<?php
# Create our client object.
$gmclient= new GearmanClient();
# Add two job servers, the first on the default 4730 port
$gmclient->addServer("10.0.0.1");
$gmclient->addServer("10.0.0.2", 7003);
?>`

### See Also

- GearmanClient::addServers